# uiDisplayTree

Printing an uitree in GUI mode

## Calling Sequence

    uiDisplayTree(tree)

## Input parameters

tree

  an uitree

## Description

Display a tree into the a graphic window.

## Examples

    // We should create nodes(subTrees) before creating trees
    leaf11 = uiCreateNode('leaf 1.1')
    leaf12 = uiCreateNode('leaf 1.2')
    leaf31 = uiCreateNode('leaf 3.1')
    leaf32 = uiCreateNode('leaf 3.2')
    node1 = uiCreateNode('Node 1')
    node2 = uiCreateNode('Node 2')
    node3 = uiCreateNode('Node 3')
    root = uiCreateNode('Root')

    treeNode1 = uiCreateTree(node1, leaf11, leaf12)
    treeNode3 = uiCreateTree(node3, leaf31, leaf32)

    treeRoot = uiCreateTree( root, treeNode1, node2, treeNode3)

    uiDisplayTree(treeRoot)

## See Also

- uiCreateNode
- uiCreateTree
- uiDumpTree
- uiInsertNode
- uiDeleteNode
- uiConcatTree
- uiEqualsTree
- uiFindNode
- uiGetParentNode
- uiGetChildrenNode
- uiGetNodePosition